Subject: Re: [multipathtcp] Hash function usage in Multipath TCP

From: Yoshifumi Nishida <[email-masked]>
Date: Sat, 1 Mar 2014 13:10:26 -0800

Hi Olivier,

On Thu, Feb 27, 2014 at 2:04 AM, Olivier Bonaventure <
[email-masked]> wrote:

>
> client sends SYN with MP_CAPABLE indicating HASH1+HASH2
> attacker removes HASH2 from SYN
> server replies with HASH1 in SYN+ACK
>
> If client sends SYN with MP_CAPABLE and only HASH2, it should reply with
> RST if it receives HASH1 in SYN+ACK

Right. I meant that clients have a mean to avoid downgrading attack if they
want.
So, I think this probably won't be a severe issue.

>     Should we already define a new hash functions inside RFC6824bis ?
>>
>>     If yes, then we probably need to structure the Multipath TCP RFCs as
>>     for TCP-AO, i.e. :
>>
>>       - a first document defines the protocol with abstract crypto
>>     functions, basically most of the current RFC6824
>>       - a second document specifies the crypto algorithms can be used
>>     with all their requirements parameters
>>
>>     If we go in the direction, are there strong preferences for a second
>>     hash function for Multipath TCP ?
>>
>> Hmm. I see your point. But, how many hashes we want to specify now?
>> If we just add one more hash to the current spec, the second doc will be
>> thin, it might not be a problem, though..
>>
>
> The second document could even only contain a single hash (SHA-1 today).
> If we need to expand the hash functions without chaning MPTCP, we simply
> need to update this second document.
>
> We might want to reserve some bits (e.g. 3) in the MP_CAPABLE option for
> the selection of the hash functions that are to be defined in the second
> document

I see. I don't have strong opinion on having two drafts yet. But, I'm
wondering if we need to reserve bits. It seems to me that we can define C-H
flags in the second draft.
A question might be what we should do when we try to specify B flag=1 usage
or define another version, which might affect the usage for C-H or other
crypto logic. I'm wondering if we have other drafts or put all changes in
the second draft.

Thanks,
--
Yoshifumi

---

From: Yoshifumi Nishida <[email-masked]>
Date: Sat, 1 Mar 2014 13:10:25 -0800

Hi Olivier,

Thanks,
--
Yoshifumi